Subject: Re: git on MacOSX and files with decomposed utf-8 file names

From: Jakub Narebski <[email-masked]>
Date: Fri, 18 Jan 2008 18:24:44 +0100

Peter Karlsson wrote:

> Dmitry Potapov:
> 
>> because Microsoft C library does not work with encoding that requires
>> more than two bytes per character.
> 
> Indeed. On Windows, you should avoid using UTF-8 and instead use UTF-16
> everywhere. That usually works better, and if you run on an NT-based
> system it will convert all the data to WinAPI to UTF-16 anyway.

Errr... doesn't UTF-16 (as compared to USC-2) sometimes (for some exotic
characters) require more than two bytes per character?

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git